boblog想升PHP7.0不容易啊

快乐无极 , 2017/03/07 11:59 , 开发文档 » PHP , 评论(0) , 阅读(546) , Via 本站原创 | |
点击在新窗口中浏览此图片
想把博客程序想改成兼容php7.0的,结果我发现错了呀!第一~mysql扩展已经被删掉了,只能用mysqli或pdo,老系统大量使用mysql_*函数。第二~大量用preg_replace的一个技巧就是后面直接加/e后面直接eval执行,显然这玩意php7官方由于安全问题已经移除,只能用preg_replace_callback,而每一处都得改写否则根本无法运行。第三~坑爹的大量使用@符号!抑制错误输出,哪里出错了都不知道 放弃了,装个5.6没那么多事sleepy
Tags: ,
发表评论

昵称

网址

电邮

打开HTML 打开UBB 打开表情 隐藏 记住我 [登入] [注册]